#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Sophisticated implementation of Unicode Bidirectional Algorithm
Summary(pl.UTF-8):	Wyszukana implementacja Unicode Bidirectional Algorithm
Name:		sheenbidi
Version:	2.8
Release:	1
License:	Apache v2.0
Group:		Libraries
#Source0Download: https://github.com/Tehreer/SheenBidi/releases
Source0:	https://github.com/Tehreer/SheenBidi/archive/v%{version}/SheenBidi-%{version}.tar.gz
# Source0-md5:	b6ca160274c5eea5b30e6e1ff5c18b69
URL:		https://github.com/Tehreer/SheenBidi
BuildRequires:	meson >= 0.55.0
BuildRequires:	ninja >= 1.5
BuildRequires:	rpmbuild(macros) >= 2.042
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SheenBidi implements Unicode Bidirectional Algorithm available at
<http://www.unicode.org/reports/tr9/>. It is a sophisticated
implementation which provides the developers an easy way to use UBA in
their applications.

The advantages of SheenBidi:
- Object based.
- Optimized to the core.
- Designed to be thread safe.
- Lightweight API for interaction.
- Supports UTF-8, UTF-16 and UTF-32 encodings.

%description -l pl.UTF-8
SheenBidi to implementacja algorytmu dwukierunkowego kodowania Unicode
dostępnego pod adresem <http://www.unicode.org/reports/tr9/>. Jest to
wyszukana implementacja zapewniająca programistom łatwy sposób
wykorzystania UBA w swoich aplikacjach.

Zalety biblioteki SheenBidi:
- oparta na obiektach
- zoptymalizowana do wnętrza
- zaprojektowana z myślą o bezpiecznym używaniu w wątkach
- lekkie API do interakcji
- obsługa kodowań UTF-8, UTF-16, UTF-32

%package devel
Summary:	Header files for SheenBidi library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki SheenBidi
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for SheenBidi library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki SheenBidi.

%package static
Summary:	Static SheenBidi library
Summary(pl.UTF-8):	Statyczna biblioteka SheenBidi
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SheenBidi library.

%description static -l pl.UTF-8
Statyczna biblioteka SheenBidi.

%prep
%setup -q -n SheenBidi-%{version}

%build
%meson \
	%{!?with_static_libs:--default-library=shared}

%meson_build

%install
rm -rf $RPM_BUILD_ROOT

%meson_install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/libsheenbidi.so.*.*
%ghost %{_libdir}/libsheenbidi.so.2

%files devel
%defattr(644,root,root,755)
%{_libdir}/libsheenbidi.so
%{_includedir}/SheenBidi

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libsheenbidi.a
%endif
%changelog
* Sun Mar 16 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sheenbidi.git;a=log;h=master

* Sun Mar 16 2025 Jakub Bogusz <qboosh@pld-linux.org> 889c7db
- new

